% --------------------------------------------------------------------------------------------------
% SPDX-License-Identifier: CC-BY-4.0
% Copyright (C) 2022 Jayesh Badwaik <j.badwaik@fz-juelich.de>
% --------------------------------------------------------------------------------------------------
\ProvidesPackage{penchmathsym}
\RequirePackage{fontspec}
\RequirePackage{microtype}
\PassOptionsToPackage{final}{microtype}
\RequirePackage{unicode-math}

\newcommand*{\rmA}{\mathup{A}}
\newcommand*{\rmB}{\mathup{B}}
\newcommand*{\rmC}{\mathup{C}}
\newcommand*{\rmD}{\mathup{D}}
\newcommand*{\rmE}{\mathup{E}}
\newcommand*{\rmF}{\mathup{F}}
\newcommand*{\rmG}{\mathup{G}}
\newcommand*{\rmH}{\mathup{H}}
\newcommand*{\rmI}{\mathup{I}}
\newcommand*{\rmJ}{\mathup{J}}
\newcommand*{\rmK}{\mathup{K}}
\newcommand*{\rmL}{\mathup{L}}
\newcommand*{\rmM}{\mathup{M}}
\newcommand*{\rmN}{\mathup{N}}
\newcommand*{\rmO}{\mathup{O}}
\newcommand*{\rmP}{\mathup{P}}
\newcommand*{\rmQ}{\mathup{Q}}
\newcommand*{\rmR}{\mathup{R}}
\newcommand*{\rmS}{\mathup{S}}
\newcommand*{\rmT}{\mathup{T}}
\newcommand*{\rmU}{\mathup{U}}
\newcommand*{\rmV}{\mathup{V}}
\newcommand*{\rmW}{\mathup{W}}
\newcommand*{\rmX}{\mathup{X}}
\newcommand*{\rmY}{\mathup{Y}}
\newcommand*{\rmZ}{\mathup{Z}}

\newcommand*{\rma}{\mathup{a}}
\newcommand*{\rmb}{\mathup{b}}
\newcommand*{\rmc}{\mathup{c}}
\newcommand*{\rmd}{\mathup{d}}
\newcommand*{\rme}{\mathup{e}}
\newcommand*{\rmf}{\mathup{f}}
\newcommand*{\rmg}{\mathup{g}}
\newcommand*{\rmh}{\mathup{h}}
\newcommand*{\rmi}{\mathup{i}}
\newcommand*{\rmj}{\mathup{j}}
\newcommand*{\rmk}{\mathup{k}}
\newcommand*{\rml}{\mathup{l}}
\newcommand*{\rmm}{\mathup{m}}
\newcommand*{\rmn}{\mathup{n}}
\newcommand*{\rmo}{\mathup{o}}
\newcommand*{\rmp}{\mathup{p}}
\newcommand*{\rmq}{\mathup{q}}
\newcommand*{\rmr}{\mathup{r}}
\newcommand*{\rms}{\mathup{s}}
\newcommand*{\rmt}{\mathup{t}}
\newcommand*{\rmu}{\mathup{u}}
\newcommand*{\rmv}{\mathup{v}}
\newcommand*{\rmw}{\mathup{w}}
\newcommand*{\rmx}{\mathup{x}}
\newcommand*{\rmy}{\mathup{y}}
\newcommand*{\rmz}{\mathup{z}}


% Blackboard Bold Fonts
\newcommand*{\bbA}{\mathbb{A}}
\newcommand*{\bbB}{\mathbb{B}}
\newcommand*{\bbC}{\mathbb{C}}
\newcommand*{\bbD}{\mathbb{D}}
\newcommand*{\bbE}{\mathbb{E}}
\newcommand*{\bbF}{\mathbb{F}}
\newcommand*{\bbG}{\mathbb{G}}
\newcommand*{\bbH}{\mathbb{H}}
\newcommand*{\bbI}{\mathbb{I}}
\newcommand*{\bbJ}{\mathbb{J}}
\newcommand*{\bbK}{\mathbb{K}}
\newcommand*{\bbL}{\mathbb{L}}
\newcommand*{\bbM}{\mathbb{M}}
\newcommand*{\bbN}{\mathbb{N}}
\newcommand*{\bbO}{\mathbb{O}}
\newcommand*{\bbP}{\mathbb{P}}
\newcommand*{\bbQ}{\mathbb{Q}}
\newcommand*{\bbR}{\mathbb{R}}
\newcommand*{\bbS}{\mathbb{S}}
\newcommand*{\bbT}{\mathbb{T}}
\newcommand*{\bbU}{\mathbb{U}}
\newcommand*{\bbV}{\mathbb{V}}
\newcommand*{\bbW}{\mathbb{W}}
\newcommand*{\bbX}{\mathbb{X}}
\newcommand*{\bbY}{\mathbb{Y}}
\newcommand*{\bbZ}{\mathbb{Z}}

\newcommand*{\bba}{\mathbb{a}}
\newcommand*{\bbb}{\mathbb{b}}
\newcommand*{\bbc}{\mathbb{c}}
\newcommand*{\bbd}{\mathbb{d}}
\newcommand*{\bbe}{\mathbb{e}}
\newcommand*{\bbf}{\mathbb{f}}
\newcommand*{\bbg}{\mathbb{g}}
\newcommand*{\bbh}{\mathbb{h}}
\newcommand*{\bbi}{\mathbb{i}}
\newcommand*{\bbj}{\mathbb{j}}
\newcommand*{\bbk}{\mathbb{k}}
\newcommand*{\bbl}{\mathbb{l}}
\newcommand*{\bbm}{\mathbb{m}}
\newcommand*{\bbn}{\mathbb{n}}
\newcommand*{\bbo}{\mathbb{o}}
\newcommand*{\bbp}{\mathbb{p}}
\newcommand*{\bbq}{\mathbb{q}}
\newcommand*{\bbr}{\mathbb{r}}
\newcommand*{\bbs}{\mathbb{s}}
\newcommand*{\bbt}{\mathbb{t}}
\newcommand*{\bbu}{\mathbb{u}}
\newcommand*{\bbv}{\mathbb{v}}
\newcommand*{\bbw}{\mathbb{w}}
\newcommand*{\bbx}{\mathbb{x}}
\newcommand*{\bby}{\mathbb{y}}
\newcommand*{\bbz}{\mathbb{z}}

\newcommand*{\bbzero}{\symbb{0}}
\newcommand*{\bbone}{\symbb{1}}
\newcommand*{\bbtwo}{\symbb{2}}
\newcommand*{\bbthree}{\symbb{3}}
\newcommand*{\bbfour}{\symbb{4}}
\newcommand*{\bbfive}{\symbb{5}}
\newcommand*{\bbsix}{\symbb{6}}
\newcommand*{\bbseven}{\symbb{7}}
\newcommand*{\bbeight}{\symbb{8}}
\newcommand*{\bbnine}{\symbb{9}}



% BoldUp Fonts
\newcommand*{\bfA}{\mathbfup{A}}
\newcommand*{\bfB}{\mathbfup{B}}
\newcommand*{\bfC}{\mathbfup{C}}
\newcommand*{\bfD}{\mathbfup{D}}
\newcommand*{\bfE}{\mathbfup{E}}
\newcommand*{\bfF}{\mathbfup{F}}
\newcommand*{\bfG}{\mathbfup{G}}
\newcommand*{\bfH}{\mathbfup{H}}
\newcommand*{\bfI}{\mathbfup{I}}
\newcommand*{\bfJ}{\mathbfup{J}}
\newcommand*{\bfK}{\mathbfup{K}}
\newcommand*{\bfL}{\mathbfup{L}}
\newcommand*{\bfM}{\mathbfup{M}}
\newcommand*{\bfN}{\mathbfup{N}}
\newcommand*{\bfO}{\mathbfup{O}}
\newcommand*{\bfP}{\mathbfup{P}}
\newcommand*{\bfQ}{\mathbfup{Q}}
\newcommand*{\bfR}{\mathbfup{R}}
\newcommand*{\bfS}{\mathbfup{S}}
\newcommand*{\bfT}{\mathbfup{T}}
\newcommand*{\bfU}{\mathbfup{U}}
\newcommand*{\bfV}{\mathbfup{V}}
\newcommand*{\bfW}{\mathbfup{W}}
\newcommand*{\bfX}{\mathbfup{X}}
\newcommand*{\bfY}{\mathbfup{Y}}
\newcommand*{\bfZ}{\mathbfup{Z}}

\newcommand*{\bfa}{\mathbfup{a}}
\newcommand*{\bfb}{\mathbfup{b}}
\newcommand*{\bfc}{\mathbfup{c}}
\newcommand*{\bfd}{\mathbfup{d}}
\newcommand*{\bfe}{\mathbfup{e}}
\newcommand*{\bff}{\mathbfup{f}}
\newcommand*{\bfg}{\mathbfup{g}}
\newcommand*{\bfh}{\mathbfup{h}}
\newcommand*{\bfi}{\mathbfup{i}}
\newcommand*{\bfj}{\mathbfup{j}}
\newcommand*{\bfk}{\mathbfup{k}}
\newcommand*{\bfl}{\mathbfup{l}}
\newcommand*{\bfm}{\mathbfup{m}}
\newcommand*{\bfn}{\mathbfup{n}}
\newcommand*{\bfo}{\mathbfup{o}}
\newcommand*{\bfp}{\mathbfup{p}}
\newcommand*{\bfq}{\mathbfup{q}}
\newcommand*{\bfr}{\mathbfup{r}}
\newcommand*{\bfs}{\mathbfup{s}}
\newcommand*{\bft}{\mathbfup{t}}
\newcommand*{\bfu}{\mathbfup{u}}
\newcommand*{\bfv}{\mathbfup{v}}
\newcommand*{\bfw}{\mathbfup{w}}
\newcommand*{\bfx}{\mathbfup{x}}
\newcommand*{\bfy}{\mathbfup{y}}
\newcommand*{\bfz}{\mathbfup{z}}


\newcommand*{\bfzero}{\mathbfup{0}}
\newcommand*{\bfone}{\mathbfup{1}}
\newcommand*{\bftwo}{\mathbfup{2}}
\newcommand*{\bfthree}{\mathbfup{3}}
\newcommand*{\bffour}{\mathbfup{4}}
\newcommand*{\bffive}{\mathbfup{5}}
\newcommand*{\bfsix}{\mathbfup{6}}
\newcommand*{\bfseven}{\mathbfup{7}}
\newcommand*{\bfeight}{\mathbfup{8}}
\newcommand*{\bfnine}{\mathbfup{9}}

\newcommand*{\bfalpha}{\mathbfup{\alpha}}
\newcommand*{\bfbeta}{\mathbfup{\beta}}
\newcommand*{\bfgamma}{\mathbfup{\gamma}}
\newcommand*{\bfdelta}{\mathbfup{\delta}}
\newcommand*{\bfepsilon}{\mathbfup{\epsilon}}
\newcommand*{\bfvarepsilon}{\mathbfup{\varepsilon}}
\newcommand*{\bfzeta}{\mathbfup{\zeta}}
\newcommand*{\bfeta}{\mathbfup{\eta}}
\newcommand*{\bftheta}{\mathbfup{\theta}}
\newcommand*{\bfvartheta}{\mathbfup{\vartheta}}
\newcommand*{\bfiota}{\mathbfup{\iota}}
\newcommand*{\bfkappa}{\mathbfup{\kappa}}
\newcommand*{\bfvarkappa}{\mathbfup{\varkappa}}
\newcommand*{\bflambda}{\mathbfup{\lambda}}
\newcommand*{\bfmu}{\mathbfup{\mu}}
\newcommand*{\bfnu}{\mathbfup{\nu}}
\newcommand*{\bfxi}{\mathbfup{\xi}}
\newcommand*{\bfphi}{\mathbfup{\phi}}
\newcommand*{\bfpi}{\mathbfup{\pi}}
\newcommand*{\bfvarphi}{\mathbfup{\varphi}}
\newcommand*{\bfvarpi}{\mathbfup{\varpi}}
\newcommand*{\bfrho}{\mathbfup{\rho}}
\newcommand*{\bfvarrho}{\mathbfup{\varrho}}
\newcommand*{\bfsigma}{\mathbfup{\sigma}}
\newcommand*{\bftau}{\mathbfup{\tau}}
\newcommand*{\bfupsilon}{\mathbfup{\upsilon}}
\newcommand*{\bfchi}{\mathbfup{\chi}}
\newcommand*{\bfpsi}{\mathbfup{\psi}}
\newcommand*{\bfomega}{\mathbfup{\omega}}

\newcommand*{\bfGamma}{\mathbfup{\Gamma}}
\newcommand*{\bfDelta}{\mathbfup{\Delta}}
\newcommand*{\bfTheta}{\mathbfup{\Theta}}
\newcommand*{\bfLambda}{\mathbfup{\Lambda}}
\newcommand*{\bfXi}{\mathbfup{\Xi}}
\newcommand*{\bfPi}{\mathbfup{\Pi}}
\newcommand*{\bfvarPhi}{\mathbfup{\varPhi}}
\newcommand*{\bfPhi}{\mathbfup{\Phi}}
\newcommand*{\bfSigma}{\mathbfup{\Sigma}}
\newcommand*{\bfUpsilon}{\mathbfup{\Upsilon}}
\newcommand*{\bfPsi}{\mathbfup{\Psi}}
\newcommand*{\bfOmega}{\mathbfup{\Omega}}


% Bold Fonts
\newcommand*{\bfitA}{\mathbfit{A}}
\newcommand*{\bfitB}{\mathbfit{B}}
\newcommand*{\bfitC}{\mathbfit{C}}
\newcommand*{\bfitD}{\mathbfit{D}}
\newcommand*{\bfitE}{\mathbfit{E}}
\newcommand*{\bfitF}{\mathbfit{F}}
\newcommand*{\bfitG}{\mathbfit{G}}
\newcommand*{\bfitH}{\mathbfit{H}}
\newcommand*{\bfitI}{\mathbfit{I}}
\newcommand*{\bfitJ}{\mathbfit{J}}
\newcommand*{\bfitK}{\mathbfit{K}}
\newcommand*{\bfitL}{\mathbfit{L}}
\newcommand*{\bfitM}{\mathbfit{M}}
\newcommand*{\bfitN}{\mathbfit{N}}
\newcommand*{\bfitO}{\mathbfit{O}}
\newcommand*{\bfitP}{\mathbfit{P}}
\newcommand*{\bfitQ}{\mathbfit{Q}}
\newcommand*{\bfitR}{\mathbfit{R}}
\newcommand*{\bfitS}{\mathbfit{S}}
\newcommand*{\bfitT}{\mathbfit{T}}
\newcommand*{\bfitU}{\mathbfit{U}}
\newcommand*{\bfitV}{\mathbfit{V}}
\newcommand*{\bfitW}{\mathbfit{W}}
\newcommand*{\bfitX}{\mathbfit{X}}
\newcommand*{\bfitY}{\mathbfit{Y}}
\newcommand*{\bfitZ}{\mathbfit{Z}}

\newcommand*{\bfita}{\mathbfit{a}}
\newcommand*{\bfitb}{\mathbfit{b}}
\newcommand*{\bfitc}{\mathbfit{c}}
\newcommand*{\bfitd}{\mathbfit{d}}
\newcommand*{\bfite}{\mathbfit{e}}
\newcommand*{\bfitf}{\mathbfit{f}}
\newcommand*{\bfitg}{\mathbfit{g}}
\newcommand*{\bfith}{\mathbfit{h}}
\newcommand*{\bfiti}{\mathbfit{i}}
\newcommand*{\bfitj}{\mathbfit{j}}
\newcommand*{\bfitk}{\mathbfit{k}}
\newcommand*{\bfitl}{\mathbfit{l}}
\newcommand*{\bfitm}{\mathbfit{m}}
\newcommand*{\bfitn}{\mathbfit{n}}
\newcommand*{\bfito}{\mathbfit{o}}
\newcommand*{\bfitp}{\mathbfit{p}}
\newcommand*{\bfitq}{\mathbfit{q}}
\newcommand*{\bfitr}{\mathbfit{r}}
\newcommand*{\bfits}{\mathbfit{s}}
\newcommand*{\bfitt}{\mathbfit{t}}
\newcommand*{\bfitu}{\mathbfit{u}}
\newcommand*{\bfitv}{\mathbfit{v}}
\newcommand*{\bfitw}{\mathbfit{w}}
\newcommand*{\bfitx}{\mathbfit{x}}
\newcommand*{\bfity}{\mathbfit{y}}
\newcommand*{\bfitz}{\mathbfit{z}}

% Calligraphy Fonts
\newcommand*{\calA}{\mathcal{A}}
\newcommand*{\calB}{\mathcal{B}}
\newcommand*{\calC}{\mathcal{C}}
\newcommand*{\calD}{\mathcal{D}}
\newcommand*{\calE}{\mathcal{E}}
\newcommand*{\calF}{\mathcal{F}}
\newcommand*{\calG}{\mathcal{G}}
\newcommand*{\calH}{\mathcal{H}}
\newcommand*{\calI}{\mathcal{I}}
\newcommand*{\calJ}{\mathcal{J}}
\newcommand*{\calK}{\mathcal{K}}
\newcommand*{\calL}{\mathcal{L}}
\newcommand*{\calM}{\mathcal{M}}
\newcommand*{\calN}{\mathcal{N}}
\newcommand*{\calO}{\mathcal{O}}
\newcommand*{\calP}{\mathcal{P}}
\newcommand*{\calQ}{\mathcal{Q}}
\newcommand*{\calR}{\mathcal{R}}
\newcommand*{\calS}{\mathcal{S}}
\newcommand*{\calT}{\mathcal{T}}
\newcommand*{\calU}{\mathcal{U}}
\newcommand*{\calV}{\mathcal{V}}
\newcommand*{\calW}{\mathcal{W}}
\newcommand*{\calX}{\mathcal{X}}
\newcommand*{\calY}{\mathcal{Y}}
\newcommand*{\calZ}{\mathcal{Z}}

% Bold Calligraphy Fonts
\newcommand*{\bfcalA}{\mathbfcal{A}}
\newcommand*{\bfcalB}{\mathbfcal{B}}
\newcommand*{\bfcalC}{\mathbfcal{C}}
\newcommand*{\bfcalD}{\mathbfcal{D}}
\newcommand*{\bfcalE}{\mathbfcal{E}}
\newcommand*{\bfcalF}{\mathbfcal{F}}
\newcommand*{\bfcalG}{\mathbfcal{G}}
\newcommand*{\bfcalH}{\mathbfcal{H}}
\newcommand*{\bfcalI}{\mathbfcal{I}}
\newcommand*{\bfcalJ}{\mathbfcal{J}}
\newcommand*{\bfcalK}{\mathbfcal{K}}
\newcommand*{\bfcalL}{\mathbfcal{L}}
\newcommand*{\bfcalM}{\mathbfcal{M}}
\newcommand*{\bfcalN}{\mathbfcal{N}}
\newcommand*{\bfcalO}{\mathbfcal{O}}
\newcommand*{\bfcalP}{\mathbfcal{P}}
\newcommand*{\bfcalQ}{\mathbfcal{Q}}
\newcommand*{\bfcalR}{\mathbfcal{R}}
\newcommand*{\bfcalS}{\mathbfcal{S}}
\newcommand*{\bfcalT}{\mathbfcal{T}}
\newcommand*{\bfcalU}{\mathbfcal{U}}
\newcommand*{\bfcalV}{\mathbfcal{V}}
\newcommand*{\bfcalW}{\mathbfcal{W}}
\newcommand*{\bfcalX}{\mathbfcal{X}}
\newcommand*{\bfcalY}{\mathbfcal{Y}}
\newcommand*{\bfcalZ}{\mathbfcal{Z}}

% Script Fonts
\newcommand*{\scrA}{\mathscr{A}}
\newcommand*{\scrB}{\mathscr{B}}
\newcommand*{\scrC}{\mathscr{C}}
\newcommand*{\scrD}{\mathscr{D}}
\newcommand*{\scrE}{\mathscr{E}}
\newcommand*{\scrF}{\mathscr{F}}
\newcommand*{\scrG}{\mathscr{G}}
\newcommand*{\scrH}{\mathscr{H}}
\newcommand*{\scrI}{\mathscr{I}}
\newcommand*{\scrJ}{\mathscr{J}}
\newcommand*{\scrK}{\mathscr{K}}
\newcommand*{\scrL}{\mathscr{L}}
\newcommand*{\scrM}{\mathscr{M}}
\newcommand*{\scrN}{\mathscr{N}}
\newcommand*{\scrO}{\mathscr{O}}
\newcommand*{\scrP}{\mathscr{P}}
\newcommand*{\scrQ}{\mathscr{Q}}
\newcommand*{\scrR}{\mathscr{R}}
\newcommand*{\scrS}{\mathscr{S}}
\newcommand*{\scrT}{\mathscr{T}}
\newcommand*{\scrU}{\mathscr{U}}
\newcommand*{\scrV}{\mathscr{V}}
\newcommand*{\scrW}{\mathscr{W}}
\newcommand*{\scrX}{\mathscr{X}}
\newcommand*{\scrY}{\mathscr{Y}}
\newcommand*{\scrZ}{\mathscr{Z}}

% Fraktur Fonts
\newcommand*{\frakA}{\mathfrak{A}}
\newcommand*{\frakB}{\mathfrak{B}}
\newcommand*{\frakC}{\mathfrak{C}}
\newcommand*{\frakD}{\mathfrak{D}}
\newcommand*{\frakE}{\mathfrak{E}}
\newcommand*{\frakF}{\mathfrak{F}}
\newcommand*{\frakG}{\mathfrak{G}}
\newcommand*{\frakH}{\mathfrak{H}}
\newcommand*{\frakI}{\mathfrak{I}}
\newcommand*{\frakJ}{\mathfrak{J}}
\newcommand*{\frakK}{\mathfrak{K}}
\newcommand*{\frakL}{\mathfrak{L}}
\newcommand*{\frakM}{\mathfrak{M}}
\newcommand*{\frakN}{\mathfrak{N}}
\newcommand*{\frakO}{\mathfrak{O}}
\newcommand*{\frakP}{\mathfrak{P}}
\newcommand*{\frakQ}{\mathfrak{Q}}
\newcommand*{\frakR}{\mathfrak{R}}
\newcommand*{\frakS}{\mathfrak{S}}
\newcommand*{\frakT}{\mathfrak{T}}
\newcommand*{\frakU}{\mathfrak{U}}
\newcommand*{\frakV}{\mathfrak{V}}
\newcommand*{\frakW}{\mathfrak{W}}
\newcommand*{\frakX}{\mathfrak{X}}
\newcommand*{\frakY}{\mathfrak{Y}}
\newcommand*{\frakZ}{\mathfrak{Z}}


\newcommand*{\fraka}{\mathfrak{a}}
\newcommand*{\frakb}{\mathfrak{b}}
\newcommand*{\frakc}{\mathfrak{c}}
\newcommand*{\frakd}{\mathfrak{d}}
\newcommand*{\frake}{\mathfrak{e}}
\newcommand*{\frakf}{\mathfrak{f}}
\newcommand*{\frakg}{\mathfrak{g}}
\newcommand*{\frakh}{\mathfrak{h}}
\newcommand*{\fraki}{\mathfrak{i}}
\newcommand*{\frakj}{\mathfrak{j}}
\newcommand*{\frakk}{\mathfrak{k}}
\newcommand*{\frakl}{\mathfrak{l}}
\newcommand*{\frakm}{\mathfrak{m}}
\newcommand*{\frakn}{\mathfrak{n}}
\newcommand*{\frako}{\mathfrak{o}}
\newcommand*{\frakp}{\mathfrak{p}}
\newcommand*{\frakq}{\mathfrak{q}}
\newcommand*{\frakr}{\mathfrak{r}}
\newcommand*{\fraks}{\mathfrak{s}}
\newcommand*{\frakt}{\mathfrak{t}}
\newcommand*{\fraku}{\mathfrak{u}}
\newcommand*{\frakv}{\mathfrak{v}}
\newcommand*{\frakw}{\mathfrak{w}}
\newcommand*{\frakx}{\mathfrak{x}}
\newcommand*{\fraky}{\mathfrak{y}}
\newcommand*{\frakz}{\mathfrak{z}}

% Math SF Fonts
\newcommand*{\sfA}{\mathsfup{A}}
\newcommand*{\sfB}{\mathsfup{B}}
\newcommand*{\sfC}{\mathsfup{C}}
\newcommand*{\sfD}{\mathsfup{D}}
\newcommand*{\sfE}{\mathsfup{E}}
\newcommand*{\sfF}{\mathsfup{F}}
\newcommand*{\sfG}{\mathsfup{G}}
\newcommand*{\sfH}{\mathsfup{H}}
\newcommand*{\sfI}{\mathsfup{I}}
\newcommand*{\sfJ}{\mathsfup{J}}
\newcommand*{\sfK}{\mathsfup{K}}
\newcommand*{\sfL}{\mathsfup{L}}
\newcommand*{\sfM}{\mathsfup{M}}
\newcommand*{\sfN}{\mathsfup{N}}
\newcommand*{\sfO}{\mathsfup{O}}
\newcommand*{\sfP}{\mathsfup{P}}
\newcommand*{\sfQ}{\mathsfup{Q}}
\newcommand*{\sfR}{\mathsfup{R}}
\newcommand*{\sfS}{\mathsfup{S}}
\newcommand*{\sfT}{\mathsfup{T}}
\newcommand*{\sfU}{\mathsfup{U}}
\newcommand*{\sfV}{\mathsfup{V}}
\newcommand*{\sfW}{\mathsfup{W}}
\newcommand*{\sfX}{\mathsfup{X}}
\newcommand*{\sfY}{\mathsfup{Y}}
\newcommand*{\sfZ}{\mathsfup{Z}}

\newcommand*{\sfa}{\mathsfup{a}}
\providecommand\sfb{}
\renewcommand*{\sfb}{\mathsfup{b}}
\newcommand*{\sfc}{\mathsfup{c}}
\newcommand*{\sfd}{\mathsfup{d}}
\newcommand*{\sfe}{\mathsfup{e}}
\newcommand*{\sff}{\mathsfup{f}}
\newcommand*{\sfg}{\mathsfup{g}}
\newcommand*{\sfh}{\mathsfup{h}}
\newcommand*{\sfi}{\mathsfup{i}}
\newcommand*{\sfj}{\mathsfup{j}}
\newcommand*{\sfk}{\mathsfup{k}}
\newcommand*{\sfl}{\mathsfup{l}}
\newcommand*{\sfm}{\mathsfup{m}}
\newcommand*{\sfn}{\mathsfup{n}}
\newcommand*{\sfo}{\mathsfup{o}}
\newcommand*{\sfp}{\mathsfup{p}}
\newcommand*{\sfq}{\mathsfup{q}}
\newcommand*{\sfr}{\mathsfup{r}}
\newcommand*{\sfs}{\mathsfup{s}}
\newcommand*{\sft}{\mathsfup{t}}
\newcommand*{\sfu}{\mathsfup{u}}
\newcommand*{\sfv}{\mathsfup{v}}
\newcommand*{\sfw}{\mathsfup{w}}
\newcommand*{\sfx}{\mathsfup{x}}
\newcommand*{\sfy}{\mathsfup{y}}
\newcommand*{\sfz}{\mathsfup{z}}


% Math SF Fonts
\newcommand*{\sfitA}{\mathsfit{A}}
\newcommand*{\sfitB}{\mathsfit{B}}
\newcommand*{\sfitC}{\mathsfit{C}}
\newcommand*{\sfitD}{\mathsfit{D}}
\newcommand*{\sfitE}{\mathsfit{E}}
\newcommand*{\sfitF}{\mathsfit{F}}
\newcommand*{\sfitG}{\mathsfit{G}}
\newcommand*{\sfitH}{\mathsfit{H}}
\newcommand*{\sfitI}{\mathsfit{I}}
\newcommand*{\sfitJ}{\mathsfit{J}}
\newcommand*{\sfitK}{\mathsfit{K}}
\newcommand*{\sfitL}{\mathsfit{L}}
\newcommand*{\sfitM}{\mathsfit{M}}
\newcommand*{\sfitN}{\mathsfit{N}}
\newcommand*{\sfitO}{\mathsfit{O}}
\newcommand*{\sfitP}{\mathsfit{P}}
\newcommand*{\sfitQ}{\mathsfit{Q}}
\newcommand*{\sfitR}{\mathsfit{R}}
\newcommand*{\sfitS}{\mathsfit{S}}
\newcommand*{\sfitT}{\mathsfit{T}}
\newcommand*{\sfitU}{\mathsfit{U}}
\newcommand*{\sfitV}{\mathsfit{V}}
\newcommand*{\sfitW}{\mathsfit{W}}
\newcommand*{\sfitX}{\mathsfit{X}}
\newcommand*{\sfitY}{\mathsfit{Y}}
\newcommand*{\sfitZ}{\mathsfit{Z}}

\newcommand*{\sfita}{\mathsfit{a}}
\newcommand*{\sfitb}{\mathsfit{b}}
\newcommand*{\sfitc}{\mathsfit{c}}
\newcommand*{\sfitd}{\mathsfit{d}}
\newcommand*{\sfite}{\mathsfit{e}}
\newcommand*{\sfitf}{\mathsfit{f}}
\newcommand*{\sfitg}{\mathsfit{g}}
\newcommand*{\sfith}{\mathsfit{h}}
\newcommand*{\sfiti}{\mathsfit{i}}
\newcommand*{\sfitj}{\mathsfit{j}}
\newcommand*{\sfitk}{\mathsfit{k}}
\newcommand*{\sfitl}{\mathsfit{l}}
\newcommand*{\sfitm}{\mathsfit{m}}
\newcommand*{\sfitn}{\mathsfit{n}}
\newcommand*{\sfito}{\mathsfit{o}}
\newcommand*{\sfitp}{\mathsfit{p}}
\newcommand*{\sfitq}{\mathsfit{q}}
\newcommand*{\sfitr}{\mathsfit{r}}
\newcommand*{\sfits}{\mathsfit{s}}
\newcommand*{\sfitt}{\mathsfit{t}}
\newcommand*{\sfitu}{\mathsfit{u}}
\newcommand*{\sfitv}{\mathsfit{v}}
\newcommand*{\sfitw}{\mathsfit{w}}
\newcommand*{\sfitx}{\mathsfit{x}}
\newcommand*{\sfity}{\mathsfit{y}}
\newcommand*{\sfitz}{\mathsfit{z}}

%Type Writer Fonts
\newcommand*{\ttA}{\mathtt{A}}
\newcommand*{\ttB}{\mathtt{B}}
\newcommand*{\ttC}{\mathtt{C}}
\newcommand*{\ttD}{\mathtt{D}}
\newcommand*{\ttE}{\mathtt{E}}
\newcommand*{\ttF}{\mathtt{F}}
\newcommand*{\ttG}{\mathtt{G}}
\newcommand*{\ttH}{\mathtt{H}}
\newcommand*{\ttI}{\mathtt{I}}
\newcommand*{\ttJ}{\mathtt{J}}
\newcommand*{\ttK}{\mathtt{K}}
\newcommand*{\ttL}{\mathtt{L}}
\newcommand*{\ttM}{\mathtt{M}}
\newcommand*{\ttN}{\mathtt{N}}
\newcommand*{\ttO}{\mathtt{O}}
\newcommand*{\ttP}{\mathtt{P}}
\newcommand*{\ttQ}{\mathtt{Q}}
\newcommand*{\ttR}{\mathtt{R}}
\newcommand*{\ttS}{\mathtt{S}}
\newcommand*{\ttT}{\mathtt{T}}
\newcommand*{\ttU}{\mathtt{U}}
\newcommand*{\ttV}{\mathtt{V}}
\newcommand*{\ttW}{\mathtt{W}}
\newcommand*{\ttX}{\mathtt{X}}
\newcommand*{\ttY}{\mathtt{Y}}
\newcommand*{\ttZ}{\mathtt{Z}}

\newcommand*{\tta}{\mathtt{a}}
\newcommand*{\ttb}{\mathtt{b}}
\newcommand*{\ttc}{\mathtt{c}}
\newcommand*{\ttd}{\mathtt{d}}
\newcommand*{\tte}{\mathtt{e}}
\newcommand*{\ttf}{\mathtt{f}}
\newcommand*{\ttg}{\mathtt{g}}
\newcommand*{\tth}{\mathtt{h}}
\newcommand*{\tti}{\mathtt{i}}
\newcommand*{\ttj}{\mathtt{j}}
\newcommand*{\ttk}{\mathtt{k}}
\newcommand*{\ttl}{\mathtt{l}}
\newcommand*{\ttm}{\mathtt{m}}
\newcommand*{\ttn}{\mathtt{n}}
\newcommand*{\tto}{\mathtt{o}}
\newcommand*{\ttp}{\mathtt{p}}
\newcommand*{\ttq}{\mathtt{q}}
\newcommand*{\ttr}{\mathtt{r}}
\newcommand*{\tts}{\mathtt{s}}
\newcommand*{\ttt}{\mathtt{t}}
\newcommand*{\ttu}{\mathtt{u}}
\newcommand*{\ttv}{\mathtt{v}}
\newcommand*{\ttw}{\mathtt{w}}
\newcommand*{\ttx}{\mathtt{x}}
\newcommand*{\tty}{\mathtt{y}}
\newcommand*{\ttz}{\mathtt{z}}

% Math Italics
\newcommand*{\itA}{\mathit{A}}
\newcommand*{\itB}{\mathit{B}}
\newcommand*{\itC}{\mathit{C}}
\newcommand*{\itD}{\mathit{D}}
\newcommand*{\itE}{\mathit{E}}
\newcommand*{\itF}{\mathit{F}}
\newcommand*{\itG}{\mathit{G}}
\newcommand*{\itH}{\mathit{H}}
\newcommand*{\itI}{\mathit{I}}
\newcommand*{\itJ}{\mathit{J}}
\newcommand*{\itK}{\mathit{K}}
\newcommand*{\itL}{\mathit{L}}
\newcommand*{\itM}{\mathit{M}}
\newcommand*{\itN}{\mathit{N}}
\newcommand*{\itO}{\mathit{O}}
\newcommand*{\itP}{\mathit{P}}
\newcommand*{\itQ}{\mathit{Q}}
\newcommand*{\itR}{\mathit{R}}
\newcommand*{\itS}{\mathit{S}}
\newcommand*{\itT}{\mathit{T}}
\newcommand*{\itU}{\mathit{U}}
\newcommand*{\itV}{\mathit{V}}
\newcommand*{\itW}{\mathit{W}}
\newcommand*{\itX}{\mathit{X}}
\newcommand*{\itY}{\mathit{Y}}
\newcommand*{\itZ}{\mathit{Z}}

\newcommand*{\ita}{\mathit{a}}
\newcommand*{\itb}{\mathit{b}}
\newcommand*{\itc}{\mathit{c}}
\newcommand*{\itd}{\mathit{d}}
\newcommand*{\ite}{\mathit{e}}
\newcommand*{\itf}{\mathit{f}}
\newcommand*{\itg}{\mathit{g}}
\newcommand*{\ith}{\mathit{h}}
\newcommand*{\iti}{\mathit{i}}
\newcommand*{\itj}{\mathit{j}}
\newcommand*{\itk}{\mathit{k}}
\newcommand*{\itl}{\mathit{l}}
\newcommand*{\itm}{\mathit{m}}
\newcommand*{\itn}{\mathit{n}}
\newcommand*{\ito}{\mathit{o}}
\newcommand*{\itp}{\mathit{p}}
\newcommand*{\itq}{\mathit{q}}
\newcommand*{\itr}{\mathit{r}}
\newcommand*{\its}{\mathit{s}}
\newcommand*{\itt}{\mathit{t}}
\newcommand*{\itu}{\mathit{u}}
\newcommand*{\itv}{\mathit{v}}
\newcommand*{\itw}{\mathit{w}}
\newcommand*{\itx}{\mathit{x}}
\newcommand*{\ity}{\mathit{y}}
\newcommand*{\itz}{\mathit{z}}


